MICOD(8)

NAME
micod - MICO object adapter daemon

SYNOPSIS
micod [options]

DESCRIPTION
The object adapter daemon micod is the part of an object adapter that activates object implementations when their service is requested. Moreover micod contains the implementation repository. To make all MICO applications use a single implementation repository you have to tell micod an address to bind to using the -ORBIIOPAddr option and tell all MICO applications this address by using the -ORBImplRepoAddr option.

OPTIONS

--help
    Gives an overview of all supported command line options.

--forward
    This option instructs micod to make use of GIOP location forwarding, which results in much better performance (there is nearly no overhead compared to not using micod at all). Unfortunately this requires some client side GIOP features that some ORBs do not support properly although prescribed in the CORBA specification. Therefore you may encounter problems when using clients implemented using such broken ORBs. That is why this feature is off by default.

--db=<database-file>
    Specifies the file name where micod should save the contents of the implementation repository when exiting. When micod is restarted afterwards it will read the file given by the --db option to restore the contents of the implementation repository.

FILES
~/.micorc

SEE ALSO
MICO Reference Manual, rsh(1), micod(8), imr(1), micorc(5), idl(1)

COPYRIGHT
Copyright (C) 1997, Kay Roemer & Arno Puder

AUTHOR
Kay Roemer & Arno Puder